/****************************************************************************

	File    : program\program_ser.h  

	Project : server
	Version : 1.0
	Date    : Sat, 22, Sep 2018 

	Author  : Zheltikov I.A.

****************************************************************************/

#ifndef program_ser_h
#define program_ser_h

#include "server/server_types.h"



void pr_Initialization(int argc, char** argv, const char** path
, unsigned int* flags, int* rsize, int* psize);

void pr_Completing(void);

void pr_ChannelDepended(int coid);

int pr_ProcessMsg(int rcvid, void * r_msg, void * p_msg, int* psize
, struct _msg_info* info);

void pr_ProcessPulse(pulse_t* pulse, struct _msg_info* info);

#endif

//===========================================================================

