/****************************************************************************

	File    : program\program_srr.c  

	Project : server
	Version : 1.0
	Date    : Sat, 22, Sep 2018 

	Author  : Zheltikov I.A.

****************************************************************************/

#include "program/program_srr.h"
#include "program/program_ser.h"
#include "server/server_fix.h"
#include "server/tools.h"
#include <stdlib.h>


static void ExitFunc(void);

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);
	CatchSignals (SignalHandler);

	Initialization  = pr_Initialization;
	Completing      = pr_Completing;
	ChannelDepended = pr_ChannelDepended;
	ProcessMsg      = pr_ProcessMsg;
	ProcessPulse    = pr_ProcessPulse;

	Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc(void)
{
	Completing ();
}

//===========================================================================

