/****************************************************************************

	File    : sample\sample.h  

	Project : server
	Version : 3.7
	Date    : Sat, 22, Sep 2018 

	Author  : Zheltikov I.A.

****************************************************************************/

#ifndef sample_h
#define sample_h

#include <time.h>
#include <stdbool.h>



extern int coid_copy;

extern int timer;


void InitSample(bool flag, int param);

void CloseSample(void);

int Cmd(void);

int In(int in);

int Out(int* out);

int InOut(int in, int* out);

int Delayed(int in, int rcvid);

int Vectors(int in_len, int out_len, int rcvid);

void Self(void);

void Pulse(int value);

void Timer(void);

#endif

//===========================================================================

