/****************************************************************************

	File    : sample\sample_srr.c  

	Project : server
	Version : 3.7
	Date    : Sat, 22, Sep 2018 

	Author  : Zheltikov I.A.

****************************************************************************/

#include "sample/sample_srr.h"
#include "sample/sample_ser.h"
#include "server/server_fix.h"
#include "server/tools.h"
#include <stdlib.h>


static void ExitFunc(void);

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);
	CatchSignals (SignalHandler);

	Completing      = sa_Completing;
	Initialization  = sa_Initialization;
	ChannelDepended = sa_ChannelDepended;
	ProcessMsg      = sa_ProcessMsg;
	ProcessPulse    = sa_ProcessPulse;

	Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc(void)
{
	Completing ();
}

//===========================================================================

