/****************************************************************************

	File    : Server\PServer.cpp  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/PServer.h"
#include <errno.h>
#include <sys/neutrino.h>

PServer::PServer()
{
	rcvid = 0;
}

PServer::~PServer()
{
}

// -----------------------------------------------------------> Complete <---

int PServer::Complete(bool* is_srr_running)
{
	*is_srr_running = false;

	return EOK;
}

// ----------------------------------------------------> CompleteByPulse <---

void PServer::CompleteByPulse(bool* is_srr_running)
{
	*is_srr_running = false;
}

// -------------------------------------------------> EventForDelivering <---

int PServer::EventForDelivering(int rcvid_, sigevent_t* event_)
{
	rcvid = rcvid_;
	event = *event_;

	return EOK;
}

// -------------------------------------------------------> DeliverEvent <---

int PServer::DeliverEvent(int value)
{
	if (rcvid == 0)
		return ESRCH;

	event.sigev_value.sival_int = value;

	rc = MsgDeliverEvent (rcvid, &event);

	return rc;
}


//===========================================================================

