/****************************************************************************

	File    : Server\SServer.h  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef SServer_H
#define SServer_H

#include "Server/ServerFix.h"
#include "Server/Server.h"

//       .
// 
class SServer : public ServerFix {

public :

	SServer();

	virtual ~SServer();


protected :

	//   
	void * pp;


	virtual void Initialization(int argc, char** argv, const char** path
, unsigned int* flags, int* rsize, int* psize);

	virtual void Completing();

	virtual void ChannelDepended(int coid);

	virtual int ProcessMsg(int rcvid, void * r_msg, void * p_msg, int* psize
, struct _msg_info* info);

	virtual void ProcessPulse(pulse_t* pulse, struct _msg_info* info);

};

#endif

//===========================================================================

