/****************************************************************************

	File    : program\program_srr.h  

	Project : server
	Version : 1.0
	Date    : Sat, 22, Sep 2018 

	Author  : Zheltikov I.A.

****************************************************************************/

#ifndef program_srr_h
#define program_srr_h

#include "server/server_srr.h"


#define PROGRAM_NAME "program"

enum pr_types_t {
	pr_t_t1 = SE_TYPE_FIRST + SE_TYPE_STEP * 1
};

enum pr_codes_t {
	pr_c_c1 = SE_CODE_FIRST + SE_CODE_STEP * 1
};

typedef union pr_r_msg_t {
	uint16_t type;
	se_r_msg_t server;
} pr_r_msg_t;

typedef union pr_p_msg_t {
	se_p_msg_t server;
} pr_p_msg_t;

int main(int argc, char** argv);

#endif

//===========================================================================

