/****************************************************************************

	File    : server\server.c  

	Project : server
	Version : 3.7
	Date    : Sat, 22, Sep 2018 

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "server/server.h"
#include <errno.h>
#include <sys/neutrino.h>


int rc;

static int rcvid = 0;

static sigevent_t event;

// ---------------------------------------------------------> InitServer <---

void InitServer(void)
{
}

// --------------------------------------------------------> CloseServer <---

void CloseServer(void)
{
}

// -----------------------------------------------------------> Complete <---

int Complete(bool* is_srr_running)
{
	*is_srr_running = false;

	return EOK;
}

// ----------------------------------------------------> CompleteByPulse <---

void CompleteByPulse(bool* is_srr_running)
{
	*is_srr_running = false;
}

// -------------------------------------------------> EventForDelivering <---

int EventForDelivering(int rcvid_, sigevent_t* event_)
{
	rcvid = rcvid_;
	event = *event_;

	return EOK;
}

// -------------------------------------------------------> DeliverEvent <---

int DeliverEvent(int value)
{
	if (rcvid == 0)
		return ESRCH;

	event.sigev_value.sival_int = value;

	rc = MsgDeliverEvent (rcvid, &event);

	return rc;
}

//===========================================================================

