/****************************************************************************

	File    : server\server_fix.h  

	Project : server
	Version : 3.7
	Date    : Sat, 22, Sep 2018 

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef server_fix_h
#define server_fix_h

#include "server/server_types.h"
#include <sys/dispatch.h>

//   -.
// 
//     -.
//  ,    , 
//      .

//     
extern bool is_srr_running;

extern
 void (*Initialization) (int, char**, const char**, unsigned*, int*, int*);

//    
extern void (*Completing) ();

// ,    
extern void (*ChannelDepended) (int);

//  
extern int (*ProcessMsg) (int, void*, void*, int*, struct _msg_info*);

//  
extern void (*ProcessPulse) (pulse_t*, struct _msg_info*);

//    -   main()
void Run(int argc, char** argv);

//    
void ServerFixCompleting(void);

#endif

//===========================================================================

