/****************************************************************************

	File    : server\server_srr.c  

	Project : server
	Version : 3.7
	Date    : Sat, 22, Sep 2018 

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "server/server_srr.h"
#include "server/server_ser.h"
#include "server/server_fix.h"
#include "server/tools.h"
#include <stdlib.h>


static void ExitFunc(void);

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	atexit (ExitFunc);
	CatchSignals (SignalHandler);

	Completing      = se_Completing;
	Initialization  = se_Initialization;
	ChannelDepended = se_ChannelDepended;
	ProcessMsg      = se_ProcessMsg;
	ProcessPulse    = se_ProcessPulse;

	Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc(void)
{
	Completing ();
}

//===========================================================================

