/****************************************************************************

	File    : Program\Program.cpp  

	Project : Server
	Version : 1.0
	Date    : Sat, 22, Sep 2018  

	Author  : Zheltikov I.A.

****************************************************************************/

#include "Program/Program.h"
#include "Program/SProgram.h"
#include "Server/Tools.h"
#include <stdlib.h>


static SProgram* s;

static void ExitFunc();

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	Tools tools;

	atexit (ExitFunc);
	tools.CatchSignals (tools.SignalHandler);

	s = new SProgram;

	s->Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc()
{
	s->CompletingEnv ();

	delete s;
}


//===========================================================================

