/****************************************************************************

	File    : Sample\PSample.h  

	Project : Server
	Version : 1.0
	Date    : Sat, 22, Sep 2018  

	Author  : Zheltikov I.A.

****************************************************************************/

#ifndef PSample_H
#define PSample_H

#include "Server/PServer.h"

class PSample : public PServer {

public :

	int coid;

	timer_t timer;

	PSample();

	~PSample();

	PSample(bool flag, int param);

	int Cmd();

	int In(int in);

	int Out(int* out);

	int InOut(int in, int* out);

	int Delayed(int in, int rcvid);

	int Vectors(int in_len, int out_len, int rcvid);

	void Self();

	void Pulse(int value);

	void Timer();


private :

	int rcvid_del;

};

#endif

//===========================================================================

