/****************************************************************************

	File    : Sample\SSample.h  

	Project : Server
	Version : 1.0
	Date    : Sat, 22, Sep 2018  

	Author  : Zheltikov I.A.

****************************************************************************/

#ifndef SSample_H
#define SSample_H

#include "Sample/Sample.h"
#include "Server/SServer.h"

class SSample : public SServer {

public :

	SSample();

	virtual ~SSample();


protected :


	virtual void Initialization(int argc, char** argv, const char** path
, unsigned int* flags, int* rsize, int* psize);

	virtual void Completing();

	virtual void ChannelDepended(int coid);

	virtual int ProcessMsg(int rcvid, void * r_msg, void * p_msg, int* psize
, struct _msg_info* info);

	virtual void ProcessPulse(pulse_t* pulse, struct _msg_info* info);

};

#endif

//===========================================================================

