/****************************************************************************

	File    : Sample\Sample.cpp  

	Project : Server
	Version : 1.0
	Date    : Sat, 22, Sep 2018  

	Author  : Zheltikov I.A.

****************************************************************************/

#include "Sample/Sample.h"
#include "Sample/SSample.h"
#include "Server/Tools.h"
#include <stdlib.h>


static void ExitFunc();

static SSample* s;

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc()
{
	delete s;
}

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	Tools tools;

	atexit (ExitFunc);
	tools.CatchSignals (tools.SignalHandler);

	s = new SSample;

	s->Run (argc, argv);

	return EXIT_SUCCESS;
}


//===========================================================================

