/****************************************************************************

	File    : Server\PServer.h  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef PServer_H
#define PServer_H

#include "Server/server_types.h"

//    .
// 
class PServer {

public :

	PServer();

	~PServer();

	int Complete(bool* is_srr_running);

	void CompleteByPulse(bool* is_srr_running);

	int EventForDelivering(int rcvid_, sigevent_t* event_);


protected :

	int rc;

	int DeliverEvent(int value);


private :

	int rcvid;

	sigevent_t event;

};

#endif

//===========================================================================

