/****************************************************************************

	File    : Server\Server.cpp  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#include "Server/Server.h"
#include "Server/SServer.h"
#include "Server/Tools.h"
#include <stdlib.h>


static SServer* s;

static void ExitFunc();

// ---------------------------------------------------------------> main <---

int main(int argc, char** argv)
{
	Tools tools;

	atexit (ExitFunc);
	tools.CatchSignals (tools.SignalHandler);

	s = new SServer;

	s->Run (argc, argv);

	return EXIT_SUCCESS;
}

// -----------------------------------------------------------> ExitFunc <---

static void ExitFunc()
{
	s->CompletingEnv ();

	delete s;
}


//===========================================================================

