/****************************************************************************

	File    : Server\Server.h  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef Server_H
#define Server_H

#include "Server/server_types.h"


//     SRR   main().

enum se_types_t {
	se_t_quit = SE_TYPE_FIRST + SE_TYPE_STEP * 0,
	se_t_evdlvr
};

enum se_codes_t {
	se_c_quit = SE_CODE_FIRST + SE_CODE_STEP * 0
};

typedef struct se_r_cmd_t {
	uint16_t type;
} se_r_cmd_t;

typedef struct se_r_evdlvr_t {
	uint16_t type;
	sigevent_t event;
} se_r_evdlvr_t;

typedef union se_r_msg_t {
	pulse_t pulse;
	uint16_t type;
	se_r_evdlvr_t evdlvr;
} se_r_msg_t;

typedef union se_p_msg_t {} se_p_msg_t;

#define SERVER_NAME "server"

int main(int argc, char** argv);

#endif

//===========================================================================

