/****************************************************************************

	File    : Server\Tools.h  

	Project : Server
	Version : 3.7
	Date    : Sat, 22, Sep 2018  

	Copynull (0) Zheltikov I.A.

****************************************************************************/

#ifndef Tools_H
#define Tools_H


//  .
// 
class Tools {
public :

	Tools();

	~Tools();

	/* 
	// CatchSignals
	// --------
	//       ,   .
	//
	// handler: [In] -  
	*/
	int CatchSignals(void (*handler) (int));

	/* 
	// SignalHandler
	// --------
	//     .
	//
	// signo: [In] -  
	*/
	static void SignalHandler(int signo);

	/* 
	// IgnoreSignals
	// --------
	//        ,
	//   .
	//
	// 
	*/
	int IgnoreSignals();

	/* 
	// Usage
	// --------
	//        .
	//
	// 
	*/
	int Usage();

};

#endif

//===========================================================================

